GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- File List
- File Members

Classes | Enumerations | Functions
gdal_priv.h File Reference

C++ GDAL entry points. More...

`#include "gdal.h"`
`#include "gdal_frmts.h"`
`#include "cpl_vsi.h"`
`#include "cpl_conv.h"`
`#include "cpl_string.h"`
`#include "cpl_minixml.h"`
`#include "cpl_multiproc.h"`
`#include "cpl_atomic_ops.h"`
`#include <vector>`
`#include <map>`
`#include "ogr_core.h"`

Go to the source code of this file.

## Classes
class | GDALMajorObject
| Object with metadata. More...
class | GDALOpenInfo
| Class for dataset open functions. More...
class | GDALDataset
| A set of associated raster bands, usually from one file. More...
class | GDALRasterBlock
| A single raster block in the block cache. More...
class | GDALColorTable
| A color table / palette. More...
class | GDALRasterBand
| A single raster band (or channel). More...
class | GDALDriver
| Format specific driver. More...
class | GDALDriverManager
| Class for managing the registration of file format drivers. More...
class | GDALAsyncReader
| Class used as a session object for asynchronous requests. More...

## Enumerations
enum | GDALIdentifyEnum { GDAL_IDENTIFY_UNKNOWN = -1, GDAL_IDENTIFY_FALSE = 0, GDAL_IDENTIFY_TRUE = 1 }
| Enumeration used by GDALDriver::pfnIdentify(). More...

## Functions
GDALDriverManager * | GetGDALDriverManager (void)
| Fetch the global GDAL driver manager. More...

## Detailed Description

C++ GDAL entry points.

## Enumeration Type Documentation

enum GDALIdentifyEnum

Enumeration used by GDALDriver::pfnIdentify().

Since
  GDAL 2.1

Enumerator
GDAL_IDENTIFY_UNKNOWN | Identify could not determine if the file is recognized or not by the probed driver.
GDAL_IDENTIFY_FALSE | Identify determined the file is not recognized by the probed driver.
GDAL_IDENTIFY_TRUE | Identify determined the file is recognized by the probed driver.

## Function Documentation

GDALDriverManager* GetGDALDriverManager | ( | void |  | ) |

Fetch the global GDAL driver manager.

This function fetches the pointer to the singleton global driver manager. If the driver manager doesn't exist it is automatically created.

Returns
  pointer to the global driver manager. This should not be able to fail.

Generated for GDAL by 1.8.9.1.